// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : memcpy_csu.h
// Author        : xianfeng.du
// Created On    : 2022-12-1
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------
#ifndef _MEMCPY_CSU_H_
#define _MEMCPY_CSU_H_

#include "typedef.h"

typedef enum eUcpMemCpyCsuType {
	STACK2MSG,
	MSG2STACK,
	STACK2STACK
} UcpMemcpyCsuType_e;

void memcpy_csu_stack2stack(uint64_t dst_phy_addr, uint64_t src_phy_addr, uint32_t size,uint8_t check_flag);
void memcpy_csu_stack_and_msg(uint64_t stack_phy_addr, uint64_t msg_virt_addr, uint32_t size,UcpMemcpyCsuType_e type, uint8_t check_flag);

#endif

